<?php
session_start();
require_once('../../conexion.php');
require_once('../../include/sesiones.php');
// Declaramos la librería
require  ('vendor/autoload.php');

$art_familia=$_GET['art_familia'];
$art_proveedor=$_GET['art_proveedor'];
$stock=$_GET['stock'];

if($art_familia<>null  && $art_proveedor<>null)
    {
        $sql1=mysqli_query($con,"SELECT * from articulos a, articulos_has_bodegas ab where familias_fam_id like '$art_familia' and proveedor_pro_id like '$art_proveedor' and a.art_id=ab.articulos_art_id and ab.bodegas='$bod_id' and a.empresa='$empresa' and ab.sucursal='$sucursal' and ab.art_cantidad<='$stock' group by a.art_id order by a.art_referencia asc");
    }
else if($art_familia==null && $art_proveedor==null)
    {
        $sql1=mysqli_query($con,"SELECT * from articulos a, articulos_has_bodegas ab where a.art_id=ab.articulos_art_id and ab.bodegas='$bod_id' and a.empresa='$empresa' and ab.sucursal='$sucursal' and ab.art_cantidad<='$stock' group by a.art_id order by a.art_referencia asc");
    }
else if($art_familia<>null )
    {
        $sql1=mysqli_query($con,"SELECT * from articulos a, articulos_has_bodegas ab where familias_fam_id like '$art_familia' and a.art_id=ab.articulos_art_id and ab.bodegas='$bod_id' and a.empresa='$empresa' and ab.sucursal='$sucursal' and ab.art_cantidad<='$stock' group by a.art_id order by a.art_referencia asc");
    }

else if($art_proveedor<>null )
    {
        $sql1=mysqli_query($con,"SELECT * from articulos a, articulos_has_bodegas ab where proveedor_pro_id like '$art_proveedor' and a.art_id=ab.articulos_art_id and ab.bodegas='$bod_id' and a.empresa='$empresa' and ab.sucursal='$sucursal' and ab.art_cantidad<='$stock' group by a.art_id order by a.art_referencia asc");
    }

use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Writer\Xlsx;

$spread = new Spreadsheet();

$sheet = $spread->getActiveSheet();
$sheet->getStyle('A:Z')->getAlignment()->setHorizontal('center');/* centar contenido de celdas */
$sheet->mergeCells('A1:F1')->mergeCells('A2:F2');/*combinas celdas*/

function cellColor($cells,$color)/* FUNSION PARA COLORES DE CELDA*/
{
    global $sheet;

    $sheet->getStyle($cells)->getFill()
    ->setFillType(\PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID)
    ->getStartColor()
    ->setARGB($color);
}

cellColor('A2:F2', 'BDBDBD'); 
cellColor('A1:F1', 'BDBDBD'); 
cellColor('A3:F3', 'FF4D00'); 

$sheet->setCellValue('A1', 'REPORTE INVENTARIO ESCASO')
            ->setCellValue('A2', 'DESDE '.$desde.' HASTA '.$hasta)
            ->setCellValue('A3', 'CODIGO')
            ->setCellValue('B3', 'NOMBRE')
            ->setCellValue('C3', 'CATEGORIA')
            ->setCellValue('D3', 'PROVEEDOR')
            ->setCellValue('E3', 'CANTIDAD')
            ->setCellValue('F3', 'COSTO');

            //Ancho de las columnas
$sheet->getColumnDimension('A')->setWidth(5);   
$sheet->getColumnDimension('B')->setWidth(20);  
$sheet->getColumnDimension('C')->setWidth(20); 
$sheet->getColumnDimension('D')->setWidth(20); 
$sheet->getColumnDimension('E')->setWidth(20);
$sheet->getColumnDimension('F')->setWidth(20);

    $cel=4;//Numero de fila donde empezara a crear  el reporte

while ($row=mysqli_fetch_array($sql1))    
{
    $art_id=$row['art_id'];
    $art_referencia=$row['art_referencia'];
    $art_nombre=$row['art_nombre'];
    $art_precio_costo=$row['art_precio_costo'];
    $art_cantidad=$row['art_cantidad'];
    $familias_fam_id=$row['familias_fam_id'];
    $proveedor_pro_id=$row['proveedor_pro_id'];

    $sql=mysqli_query($con, "SELECT * from familias where fam_id='$familias_fam_id' and empresa='$empresa'");
    $roww=mysqli_fetch_array($sql);
    $fam_nombre=$roww['fam_nombre'];
   
    $sql=mysqli_query($con, "SELECT * from proveedor where pro_id='$proveedor_pro_id' and empresa='$empresa'");
    $roww=mysqli_fetch_array($sql);
    $pro_nombre=$roww['pro_nombre'];

       
        $a="A".$cel;
        $b="B".$cel;
        $c="C".$cel;
        $d="D".$cel;
        $e="E".$cel;
        $f="F".$cel;

        $sheet->setCellValue($a, $art_referencia)
        ->setCellValue($b, utf8_decode($art_nombre))
        ->setCellValue($c, utf8_decode($fam_nombre))
        ->setCellValue($d, utf8_decode($pro_nombre))
        ->setCellValue($e, $art_cantidad)
        ->setCellValue($f, $art_precio_costo);

    $cel+=1;
}

    
// Redirigir la salida al navegador web de un cliente ( Excel5 )
header('Content-Type: application/vnd.ms-excel');
header('Content-Disposition: attachment;filename="REPORTE INVENTARIO ESCASO.xlsx"');
header('Cache-Control: max-age=0');
// Si usted está sirviendo a IE 9 , a continuación, puede ser necesaria la siguiente
header('Cache-Control: max-age=1');

$writer = new Xlsx($spread);
$writer->save('php://output');
exit;
/*
$fileName="Descarga_excel.xlsx";
# Crear un "escritor"
$writer = new Xlsx($spread);
# Le pasamos la ruta de guardado

header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
header('Content-Disposition: attachment; filename="'. urlencode($fileName).'"');
$writer->save('php://output');
?>*/
?>